<div class="ibox-content">
    <form name="choiceForm" ng-submit="vm.save(choiceForm.$valid, vm.item)" novalidate>
        <h2>Price</h2>
        <hr>
        <div class="row clearfix">
            <div class="form-group col-sm-12 col-md-6">
                <label class="usd-padding">Regular (Every day) Price</label>
                <p class="input-group col-xs-12">
                  <span class="input-group-btn usd-span">$</span>
                  <input name="regular" class="form-control"
                    ng-model="vm.item.visualRegularPrice"
                    required ng-change="vm.calculateUnitPrice()"
                    ng-pattern="/^[0-9]{1,7}(\.[0-9]{1,2})?$/" />
                </p>
                <ng-messages for="choiceForm.regular.$error" role="alert">
                    <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>

            <div class="form-group col-sm-12 col-md-6" >
                <label class="usd-padding">Unit pricing model</label>
                <p class="input-group col-xs-12">
                  <span class="input-group-btn usd-span">$</span>
                  <input name="unit" class="form-control" 
                    ng-model="vm.item.visualUnitPrice" readonly required  />
                </p>
                <input type="number" style="display: none;" 
                    ng-model="vm.item.unitPrice" 
                    name="realUnitPrice" />
                <ng-messages for="choiceForm.realUnitPrice.$error" role="alert">
                  <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>

            <div class="form-group col-xs-12">
              <input id="outOfStock" type="checkbox" name="hasSale" ng-model="vm.item.isOutOfStock">
              <label for="outOfStock" style="cursor: pointer;"> Out Of Stock </label>
            </div>

        </div>
        <h2>Sale</h2>
        <hr>
        <div class="row clearfix">
            <div class="form-group col-md-6 col-xs-12" style="padding-top: 25px;">
                <button class="btn btn-info" type="button" ng-click="vm.isSaleChanged()">
                    <span>{{vm.isSaleToChoice ? "Disable" : "Enable"}} Sale Price</span>
                </button>
            </div>

            <div ng-if="vm.isSaleToChoice" class="form-group col-md-6 col-xs-12" >
                <label class="usd-padding">Sale Price</label>
                <p class="input-group col-xs-12">
                    <span class="input-group-btn usd-span">$</span>
                    <input name="sale" class="form-control"
                        ng-change="vm.calculateSalePrice()"
                        ng-pattern="/^[0-9]{1,7}(\.[0-9]{1,2})?$/"
                        ng-model="vm.item.visualSalePrice" required />
                </p>
                <input type="number" style="display: none;" 
                    ng-model="vm.item.salePrice" 
                    ng-max="{{vm.item.regularPrice - 0.01}}"
                    name="realSalePrice"
                />
                <ng-messages for="choiceForm.sale.$error" role="alert">
                  <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
                <ng-messages for="choiceForm.realSalePrice.$error" role="alert">
                  <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>

            <div ng-if="vm.isSaleToChoice" class="form-group col-md-6 col-xs-12">
                <label>Sale begins:</label>
                <p class="input-group col-xs-12">
                    <input type="text" class="form-control" name="from"
                        ng-model="vm.item.from"
                        uib-datepicker-popup="{{vm.configModals.format}}"
                        datepicker-options="vm.configModals.fromOptions"
                        alt-input-formats="vm.configModals.altInputFormats"
                        is-open="vm.configModals.opened[1]"
                        ng-change="vm.setDateRangeByFrom(vm.item.from)"
                        ng-readonly="true"
                        required />
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-primary" ng-click="vm.configModals.open(1)">
                            <i class="glyphicon glyphicon-calendar"></i>
                        </button>
                    </span>
                </p>
                <ng-messages for="choiceForm.from.$error" role="alert">
                    <ng-messages-include  src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>

            <div ng-if="vm.isSaleToChoice" class="form-group col-md-6 col-xs-12">
                <label>Sale ends:</label>
                <p class="input-group col-xs-12">
                    <input class="form-control" name="to"
                        ng-model="vm.item.to" type="input"
                        uib-datepicker-popup="{{vm.configModals.format}}"
                        datepicker-options="vm.configModals.toOptions"
                        ng-change="vm.setDateRangeByTo(vm.item.to)"
                        is-open="vm.configModals.opened[2]",
                        ng-readonly="true"
                        required/>

                    <span class="input-group-btn">
                        <button type="button" class="btn btn-primary" ng-click="vm.configModals.open(2)">
                            <i class="glyphicon glyphicon-calendar"></i>
                        </button>
                    </span>
                </p>
                <ng-messages for="choiceForm.to.$error" role="alert">
                    <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>
        </div>
        <div class="clearfix">
            <div class="pull-right">
                <button class="btn btn-primary" type="submit">Save</button>
                <button class="btn btn-warning" type="button" ng-click="vm.back()">Cancel</button>
            </div>
        </div>
    </form>
  </div>

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="date">Invalid date value!</div>
    <div ng-message="number">Must be a number</div>
    <div ng-message="min">Invalid price!</div>
    <div ng-message="pattern">Invalid price field format!</div>
    <div ng-message="max">Sale price needs to be a lower price point, than the regular price. Please review your sales price to continue.</div>
</script>
